Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 12/10/2019 in all areas

  1. Maybe this helps: (defun GetNumber (str) (getreal str) ) (defun AddTwoNumbers (num1 num2) (+ num1 num2) ) (defun c:Test ( / num1 num2 res) (if (and (setq num1 (GetNumber "\nFirst number: ")) (setq num2 (GetNumber "\nSecond number: ")) ) (progn (setq res (AddTwoNumbers num1 num2)) (princ (strcat "\nThe total is: " (rtos res))) ) ) (princ) )
    1 point
  2. The request is made up of 3 parts. Dimension the angle Get the chainage of the intersection point, hint vlax-curve-getdistatpoint. Add to a table. All of the above have been done if you google you should find. a sample bit of code to add a row to a table (setq rownum (vla-get-rows obj2)) (vla-InsertRows obj2 rownum (vla-GetRowHeight obj2 (- rownum 1)) 1) (vla-settext obj2 rownum 0 txt1) (vla-settext obj2 rownum 1 txt2) (vla-settext obj2 rownum 2 txt3) make-example-table.lsp
    1 point
  3. I am old fashioned and use the menu and slide method very much like your buttons. I would not load all blocks into a dwg rather have them in a block library directory, if you wblock what you want (can be just dwg objects) you will find the dwg size shrinks immensely so making pull from server very fast, were I worked we had access to like say 200+ blocks. These were separated by menu prompts. It is very simple to make a custom menu's and the slide creation can be scripted so making say 100 at a time is not a problem. Others will provide info about using tool palettes.
    1 point
×
×
  • Create New...